# (anssi) The unversioned symlink of XvMC library must be present in
# %%{_libdir} during normal use, as libXvMC uses that name for dlopening.
# Our devel requires finder catches that, hence this exception:
%global __requires_exclude devel\\(
%define _disable_ld_no_undefined 1

%define kmsonly 1

# git snapshot date
%define gitdate 20210115

Name: x11-driver-video-intel
Version: 2.99.917
Release: %mkrel 70
Summary: X.org driver for Intel graphics controllers
Group: System/X11
URL: https://xorg.freedesktop.org
# Created with: git archive --prefix=xf86-video-intel-2.99.917/ origin/master | xz > xf86-video-intel-2.99.917-git20181203.tar.xz
# (or you can use the Source1 downloading script)
Source:		xf86-video-intel-%{version}-git%{gitdate}.tar.xz
Source1:	xf86-video-intel-getfromgit.sh
License:	MIT
ExclusiveArch: %{ix86} x86_64

# from git upstream (https://gitlab.freedesktop.org/xorg/driver/xf86-video-intel)
Patch1:		0001-sna-Fix-async-flips.patch
# https://gitlab.freedesktop.org/mesa/mesa/-/merge_requests/9734
Patch2:		0002-sna-Allow-DRI3-on-gen2-3.patch
# fix crash on non-see for i586 (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=979276)
Patch3:		0003-sna-Don-t-emit-sse2-code-where-not-wanted.patch
Patch4:		0004-sna-Dump-fences-also-on-ENOBUFS.patch
Patch5:		0005-sna-Eliminate-sna_mode_wants_tear_free.patch
Patch6:		0006-sna-Don-t-redefine-NV12-stuff-if-already-defined.patch
Patch7:		0007-sna-Shut-up-enum-warns.patch

BuildRequires: flex
BuildRequires: bison
BuildRequires: pkgconfig(xorg-server) >= 1.19.0
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(xdamage)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(xrandr)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xtst)
BuildRequires: pkgconfig(xvmc)
BuildRequires: pkgconfig(xv)
BuildRequires: GL-devel
BuildRequires: pkgconfig(libdrm) >= 2.4.25
BuildRequires: x11-proto-devel
BuildRequires: x11-util-macros
BuildRequires: pkgconfig(libudev)
BuildRequires: pkgconfig(xcb) >= 1.5 
BuildRequires: pkgconfig(xcb-util)
BuildRequires: pkgconfig(cairo)
BuildRequires: python3
BuildRequires: pkgconfig(xscrnsaver)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(pixman-1)

# force new gcc
BuildRequires: gcc >= 12.0.1-0.20220227.2
BuildRequires: binutils >= 1:2.38-4

Requires(post): update-alternatives
Requires(postun): update-alternatives
Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)
Recommends: vaapi-driver-intel

%description
x11-driver-video-intel is the X.org driver for Intel video chipsets.

%prep
%autosetup -p1 -n xf86-video-intel-%{version}

%build
./autogen.sh
%configure %{?kmsonly:--enable-kms-only} --with-default-dri=3 --enable-tools
%make_build

%install
%make_install

%files
%{_bindir}/intel-virtual-output
%if !0%{?kmsonly}
%{_libdir}/libI810XvMC.so
%{_libdir}/libI810XvMC.so.1
%{_libdir}/libI810XvMC.so.1.0.0
%endif
%{_libdir}/libIntelXvMC.so
%{_libdir}/libIntelXvMC.so.1
%{_libdir}/libIntelXvMC.so.1.0.0
%{_libdir}/xorg/modules/drivers/intel_drv.*
/usr/libexec/xf86-video-intel-backlight-helper
%{_datadir}/polkit-1/actions/org.x.xf86-video-intel.backlight-helper.policy
%{_mandir}/man4/i*


%changelog
* Wed Dec 04 2024 daviddavid <daviddavid> 2.99.917-70.mga10
+ Revision: 2120892
- xfont 1.x series is no more needed

* Sat May 06 2023 ghibo <ghibo> 2.99.917-69.mga9
+ Revision: 1956007
- merge more patches from git upstream (including better check for DRI3->DRI2 fallback on gen2/3).
- drop sse2 debian patch already merged in upstream patchset.
- update URL in xf86-video-intel-getfromgit.sh retrieve script to use https://gitlab.freedesktop.org.

* Fri Oct 28 2022 ghibo <ghibo> 2.99.917-68.mga9
+ Revision: 1899895
- Add patch from deb to fix crash on non-sse2 CPUs for i586

* Fri Apr 01 2022 umeabot <umeabot> 2.99.917-67.mga9
+ Revision: 1838273
- Mageia 9 Mass Rebuild

* Thu Mar 03 2022 tmb <tmb> 2.99.917-66.mga9
+ Revision: 1788175
- rebuild with gcc 12

* Sat Oct 02 2021 wally <wally> 2.99.917-64.mga9
+ Revision: 1748528
- rebuild for updated xserver-abi

* Fri Jan 22 2021 tmb <tmb> 2.99.917-63.mga8
+ Revision: 1672833
- update to 20210115 snapshot

* Tue Dec 15 2020 tmb <tmb> 2.99.917-62.mga8
+ Revision: 1657917
- update to 20201215 snapshot

* Thu Sep 24 2020 ghibo <ghibo> 2.99.917-60.mga8
+ Revision: 1629914
- Add downloading script
- Update to git release 20200515 (fix hang on Intel i7-1065G7, see https://gitlab.freedesktop.org/drm/intel/-/issues/1864).

* Sun Apr 26 2020 tmb <tmb> 2.99.917-59.mga8
+ Revision: 1572165
- update to 20200421 snapshot
+ danf <danf>
- Switch URLs from http: to https:

* Sun Feb 16 2020 umeabot <umeabot> 2.99.917-58.mga8
+ Revision: 1534996
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 08 2019 tmb <tmb> 2.99.917-57.mga8
+ Revision: 1450580
- BR: pkgconfig(xv)
- update to git snapshot 20191007

* Wed Mar 27 2019 tmb <tmb> 2.99.917-56.mga7
+ Revision: 1380537
- default to DRI3

* Wed Mar 06 2019 tmb <tmb> 2.99.917-55.mga7
+ Revision: 1372076
- update to 2019-03-01 snapshot

* Fri Feb 08 2019 tv <tv> 2.99.917-54.mga7
+ Revision: 1364214
- patch 10: SNA: fix PRIME output support since xserver 1.20

* Mon Jan 21 2019 tmb <tmb> 2.99.917-53.mga7
+ Revision: 1358943
- update to 2019-01-21 snapshot

* Mon Jan 14 2019 tmb <tmb> 2.99.917-52.mga7
+ Revision: 1356902
- update to 2019-01-10 snapshot

* Thu Dec 27 2018 tmb <tmb> 2.99.917-50.mga7
+ Revision: 1345301
- update to snapshot 20181203

* Wed Oct 03 2018 tv <tv> 2.99.917-46.mga7
+ Revision: 1316467
- patch 6: fix build on x86-32
- Today's git snapshot (fix build with latest gcc/glibc)
- Clean up some conditionals
- Build with python3
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Wed Apr 04 2018 tv <tv> 2.99.917-44.mga7
+ Revision: 1215214
- kill very old obsoletes & conflicts
- kill useless (for a very long time) alternatives
- disable UMS (save 2.5%% of driver object)
- drop unknown --enable-glamor option

* Fri Mar 09 2018 tv <tv> 2.99.917-43.mga7
+ Revision: 1207640
- rebuild for xserver 1.20 RC1

* Wed Jan 10 2018 tmb <tmb> 2.99.917-42.mga7
+ Revision: 1192005
- update fixes from git

* Thu Nov 09 2017 tv <tv> 2.99.917-41.mga7
+ Revision: 1176654
- drop merged patches
- update to 2017-11-09 snapshot
- use std macros

* Sat Sep 02 2017 tmb <tmb> 2.99.917-40.mga7
+ Revision: 1150688
- rebuild with new gcc/binutils

* Sat Jun 03 2017 tmb <tmb> 2.99.917-39.mga6
+ Revision: 1106368
- sna: Use a slightly larger preallocated array for properties
- sna: Fix fallback clearing of the shadow

* Sat Apr 01 2017 tmb <tmb> 2.99.917-38.mga6
+ Revision: 1095602
- update to 2017-03-25 snapshot

* Thu Mar 02 2017 tmb <tmb> 2.99.917-37.mga6
+ Revision: 1088529
- update to 2017-02-28 snapshot

* Thu Jan 05 2017 tmb <tmb> 2.99.917-36.mga6
+ Revision: 1080247
- update to 20170103 snapshot

* Tue Dec 06 2016 tmb <tmb> 2.99.917-35.mga6
+ Revision: 1072852
- revert broken forced modesetting for skylake+

* Tue Dec 06 2016 tv <tv> 2.99.917-34.mga6
+ Revision: 1072838
- Avoid clobbering output physical size, should fix hidpi on Surface 3
- xorg-x11-drv-intel hardly has any accel on skylake and newer, so make Xorg
  fallback to modesetting + glamor by returning FALSE from probe
   - Using glamor also gives us proper Xvideo support on skylake (rhbz#1305369)

* Thu Dec 01 2016 tv <tv> 2.99.917-33.mga6
+ Revision: 1071433
- Handle xf86Randr12 gamma changes in xorg-xserver-1.19

* Thu Nov 17 2016 tv <tv> 2.99.917-32.mga6
+ Revision: 1067701
- rebuild for xserver 1.19

* Sat Nov 12 2016 tmb <tmb> 2.99.917-30.mga6
+ Revision: 1066853
- update to 2016-11-11 snapshot
+ ghibo <ghibo>
- Update driver to from git 20160923 to 20161105 (mainly fixes https://bugs.freedesktop.org/show_bug.cgi?id=95414 and 98375 and 93844).

* Sun Sep 25 2016 ghibo <ghibo> 2.99.917-28.mga6
+ Revision: 1056165
- update to latest code from git as of 2016-09-22

* Sat Jul 23 2016 tmb <tmb> 2.99.917-27.mga6
+ Revision: 1043245
- rebuild for xorg-server 1.18.4

* Tue Jul 05 2016 tmb <tmb> 2.99.917-26.mga6
+ Revision: 1038940
- sync in fixes from upstream git

* Mon May 02 2016 tmb <tmb> 2.99.917-25.mga6
+ Revision: 1008694
- update to latest code from git
+ tv <tv>
- remove BR on gcc5

* Fri Apr 22 2016 tv <tv> 2.99.917-24.mga6
+ Revision: 1005179
- add missing BRs for tools
- BR pkgconfig(x11) + pkgconfig(xcb-dri3) for --enable-tools
- fix build: add --enable-tools
- really update to a newer snapshot FC

* Fri Apr 22 2016 tv <tv> 2.99.917-23.mga6
+ Revision: 1004934
- update to a newer snapshot FC

* Fri Jan 29 2016 luigiwalser <luigiwalser> 2.99.917-22.mga6
+ Revision: 928582
- do not require specific version of update-alternatives

* Thu Nov 19 2015 blino <blino> 2.99.917-21.mga6
+ Revision: 904116
- build only on ix86 and x86_64 since the driver supports only integrated graphics (and not the standalone 740/752)

* Wed Nov 18 2015 blino <blino> 2.99.917-20.mga6
+ Revision: 904100
- update git snapshot to fix crash with vlc (0340718366d7cb168a46930eb7be22f2d88354d8)

* Wed Nov 11 2015 tv <tv> 2.99.917-19.mga6
+ Revision: 902266
- submit to core/release

* Wed Nov 11 2015 tv <tv> 2.99.917-18.mga6
+ Revision: 902033
- BR pkgconfig(xfont)
- git snapshot compatible with xserver 1.18
- rebuild for new xserver

* Fri Aug 21 2015 tmb <tmb> 2.99.917-17.mga6
+ Revision: 867089
- rebuild for new gcc

* Thu Aug 20 2015 tmb <tmb> 2.99.917-16.mga6
+ Revision: 866721
- rebuild with gcc 5.2.1

* Sat Jun 20 2015 tv <tv> 2.99.917-15.mga6
+ Revision: 835920
- rebuild for xserver 1.17

* Fri Mar 20 2015 tmb <tmb> 2.99.917-14.mga5
+ Revision: 819050
- sync in more upstream fixes

* Wed Mar 11 2015 tmb <tmb> 2.99.917-13.mga5
+ Revision: 818326
- sna/gen6+: Prefer the BLT for small copies
- sna/gen6+: Demote priority of COPY_LAST for copy boxes
- sna: Strengthen assertions that batches are idle before overwriting
- sna: Force frontbuffer to CPU for randr fallback

* Fri Mar 06 2015 tmb <tmb> 2.99.917-12.mga5
+ Revision: 817938
- more upstream fixes

* Fri Feb 27 2015 tmb <tmb> 2.99.917-11.mga5
+ Revision: 817186
- sync in more fixes from upstream

* Sat Feb 21 2015 tmb <tmb> 2.99.917-10.mga5
+ Revision: 816259
- build against glamor provided by x11-server
- sync with upstream

* Sat Feb 07 2015 tmb <tmb> 2.99.917-8.mga5
+ Revision: 813943
- more upstream fixes

* Wed Feb 04 2015 tmb <tmb> 2.99.917-7.mga5
+ Revision: 813495
- sync with upstream

* Wed Jan 21 2015 tmb <tmb> 2.99.917-6.mga5
+ Revision: 811713
- sna/dri2: Track tracking of active-scanout for back buffer replacement
- sna/dri2: Exchange flags when exchanging DRI2Buffers after SwapBuffers
- sna/gen6+: Prefer not to switch away from active RENDER pipeline
- sna: Provide a few compiler hints
- Set the vdpau driver to va_gl
- sna: Add a loud DBG message when enabled
- sna: Add missing include of DPMS constants
- sna: Keep front_active consistent across DPMS events
- sna/dri2: Prefer to use normal selection criteria for CopyRegion on small GT

* Thu Jan 15 2015 tmb <tmb> 2.99.917-5.mga5
+ Revision: 810843
- sna: Only instantiate the frontbuffer on the GPU if used
- sna: Wrap direct access to ScrnInfoPtr->pScreen
- sna: Actually check for has_wc_mmap before use
- sna/dri2: Add a DBG message for when Xorg triple buffering is available
- sna/gen6+: Prefer using RENDER pipeline for uncached destinations on large GT

* Tue Jan 13 2015 tmb <tmb> 2.99.917-4.mga5
+ Revision: 810369
- sna: Add mmap(wc) handling to has_coherent_ptr assertion
- sna: Differentiate between disabling CRTC and turning off DPMS
- sna: Allow use of mmap(wc) for inplace GetImage
- sna: Capitlize log message "display hotplut detection"
- sna: Add a couple of guards against using the GPU to write into snooped bo
- sna: Replace assert with conditional setting of sna_pixmap->mapped
- sna: Wrap mmap accessors with sigtrap to catch oom SIGBUS
- sna: Actually set the priv->mapped type for mmap(wc)
- sna: Disable detiling for gen2
- sna/dri2: Fix build with DRI2INFOREC version 5
- sna: Add basic unswizzled manual detilers for gen2
- sna: Use correct octal value for gen3
- sna: Throw away CRTC damage if the CRTC is outside the  screen bounds
- sna: Add a small DBG message for when PRIME slave tracking is enabled
- sna: Combine slave CRTC offsets with rotation

* Thu Jan 08 2015 tmb <tmb> 2.99.917-3.mga5
+ Revision: 809314
- sna: Don't record old vblank events
- sna: Don't force a batch flush at the start of a BLT fill op
- sna: Enable mmap(wc) support by default
- sna/video: Do an early check for a wedged GPU before texturing
- sna: Reject CPU blits that require format conversions
- sna: Disable GPU preferences when marking it as wedged
- sna: Allow scanouts to force late attachment
- sna: Clip copy to CRTC shadow
- sna: Allow scanouts to be directly accessed via the GTT even when wedged
- sna: Copy mode.vrefresh between kernel and X
- sna/video: Provide fallback support for filling the colorkey
- sna/video: Reuse fallback colorkey filler from overlay for sprites
- sna/trapezoids: Fix typo in construction of polygon lines

* Tue Dec 30 2014 tmb <tmb> 2.99.917-2.mga5
+ Revision: 807372
- sna/gen7: Limit threads on Haswell GT1

* Sun Dec 21 2014 tmb <tmb> 2.99.917-1.mga5
+ Revision: 804643
- update to 2.99.917 (hopefully last prerelease before 3.0 final)

* Wed Oct 15 2014 umeabot <umeabot> 2.99.916-3.mga5
+ Revision: 746069
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.99.916-2.mga5
+ Revision: 690433
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes
- s/uggests:/Recommends:/

* Mon Sep 08 2014 tmb <tmb> 2.99.916-1.mga5
+ Revision: 673580
- update to 2.99.916

* Sun Aug 31 2014 tv <tv> 2.99.914-5.mga5
+ Revision: 669829
- fix segfault (mga#14019, fdo#83287)

* Thu Aug 21 2014 blino <blino> 2.99.914-4.mga5
+ Revision: 666124
- rebuild for x11-proto-devel with presentproto fix

* Thu Aug 21 2014 blino <blino> 2.99.914-3.mga5
+ Revision: 666106
- rebuild for xcb-present 1.11

* Mon Jul 28 2014 tv <tv> 2.99.914-2.mga5
+ Revision: 657776
- disable DRI3 again

* Wed Jul 23 2014 tv <tv> 2.99.914-1.mga5
+ Revision: 655991
- new release

* Sat Jun 14 2014 tv <tv> 2.99.912-2.mga5
+ Revision: 636095
- disable DRI3 support (causes gnome-shell to hang) (from FC)

* Tue Jun 10 2014 tv <tv> 2.99.912-1.mga5
+ Revision: 635370
- new release

* Mon Jun 09 2014 tv <tv> 2.99.911-4.mga5
+ Revision: 634966
- submit to core/release

* Fri Jun 06 2014 tv <tv> 2.99.911-3.mga5
+ Revision: 633634
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 2.99.911-2.mga5
+ Revision: 614313
- rebuild for new xserver

* Thu Mar 20 2014 tv <tv> 2.99.911-1.mga5
+ Revision: 606008
- adjust file list
- new release

* Mon Feb 10 2014 tv <tv> 2.99.910-1.mga5
+ Revision: 589103
- new release

* Tue Feb 04 2014 tv <tv> 2.99.909-1.mga5
+ Revision: 582184
- new release
- drop merged patches

* Sun Jan 05 2014 tmb <tmb> 2.99.907-2.mga4
+ Revision: 564771
- sna/gen7+: Emit invalidate between operations if rendering to source/mask

* Mon Dec 30 2013 tv <tv> 2.99.907-1.mga4
+ Revision: 563335
- new release

* Wed Dec 18 2013 colin <colin> 2.99.906-4.mga4
+ Revision: 558506
- Add missing buildrequires for the virtual tools
- Add upstream patch for firefox/thunderbird rendering glitches
- Build support for virtual tools

* Fri Dec 06 2013 tmb <tmb> 2.99.906-3.mga4
+ Revision: 555558
- rebuild for new mesa

* Wed Dec 04 2013 tmb <tmb> 2.99.906-2.mga4
+ Revision: 555151
- try build with mesa 10

* Wed Nov 13 2013 tv <tv> 2.99.906-1.mga4
+ Revision: 550956
- drop merged patch
- new release

* Mon Oct 28 2013 lmenut <lmenut> 2.99.905-2.mga4
+ Revision: 547748
- sna: add upstream patch to fix segfaults when switching to custom
        modeline resolution (fdo#70835)

* Wed Oct 23 2013 tv <tv> 2.99.905-1.mga4
+ Revision: 546577
- new release

* Tue Oct 22 2013 umeabot <umeabot> 2.99.904-3.mga4
+ Revision: 545755
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 tmb <tmb> 2.99.904-2.mga4
+ Revision: 501719
- sna: Sanitize output->crtc before falling back to xf86InitialConfiguration

* Thu Oct 10 2013 tv <tv> 2.99.904-1.mga4
+ Revision: 494629
- new release

* Sun Sep 29 2013 tv <tv> 2.99.903-1.mga4
+ Revision: 488999
- new release

* Thu Sep 19 2013 tv <tv> 2.99.902-2.mga4
+ Revision: 481554
- compile with glamor support

* Wed Sep 11 2013 tv <tv> 2.99.902-1.mga4
+ Revision: 477770
- new release

* Wed Aug 21 2013 tmb <tmb> 2.21.15-1.mga4
+ Revision: 469033
- update to 2.21.15

* Sun Aug 11 2013 tmb <tmb> 2.21.14-3.mga4
+ Revision: 465413
- rebuild with new gcc

* Sun Aug 04 2013 tmb <tmb> 2.21.14-2.mga4
+ Revision: 463557
- gcc-4.8.2 build

* Sun Aug 04 2013 tmb <tmb> 2.21.14-1.mga4
+ Revision: 463556
- update to 2.21.14

* Thu Aug 01 2013 tmb <tmb> 2.21.13-4.mga4
+ Revision: 462261
- force gcc 4.8.2 build

* Thu Aug 01 2013 tmb <tmb> 2.21.13-3.mga4
+ Revision: 462188
- test gcc-4.8.2 build

* Thu Aug 01 2013 tmb <tmb> 2.21.13-2.mga4
+ Revision: 462181
- enable sna acceleration by default

* Sun Jul 28 2013 tmb <tmb> 2.21.13-1.mga4
+ Revision: 459740
- update to 2.21.13

* Sun Jul 14 2013 tv <tv> 2.21.12-1.mga4
+ Revision: 454117
- new release

* Mon Jul 01 2013 tv <tv> 2.21.11-1.mga4
+ Revision: 449312
- new release

* Sat Jun 22 2013 blino <blino> 2.21.10-1.mga4
+ Revision: 445774
- 2.21.10

* Fri Jun 07 2013 tv <tv> 2.21.9-1.mga4
+ Revision: 438799
- new release

* Thu May 30 2013 tv <tv> 2.21.8-2.mga4
+ Revision: 433104
- submit to core/release

* Mon May 27 2013 tv <tv> 2.21.8-1.mga4
+ Revision: 428900
- new release

* Fri May 24 2013 tv <tv> 2.21.7-1.mga4
+ Revision: 425740
- drop merged patch
- new release

* Thu May 02 2013 tmb <tmb> 2.21.6-2.mga3
+ Revision: 412025
- Add all reserved PCI-IDs for Haswell

* Sun Apr 07 2013 tmb <tmb> 2.21.6-1.mga3
+ Revision: 408718
- 2.21.6 (maintenance, bugfixes)

* Sat Mar 23 2013 tmb <tmb> 2.21.5-1.mga3
+ Revision: 404650
- 2.21.5 (bugfixes, haswell improvements)

* Fri Mar 15 2013 tmb <tmb> 2.21.4-1.mga3
+ Revision: 403297
- 2.21.4 (maintenance & bugfixes)

* Thu Feb 21 2013 tmb <tmb> 2.21.3-1.mga3
+ Revision: 399648
- 2.21.3 (bugfixes)

* Sun Feb 10 2013 tmb <tmb> 2.21.2-1.mga3
+ Revision: 397766
- 2.21.2: bugfixes

* Thu Feb 07 2013 tmb <tmb> 2.21.0-1.mga3
+ Revision: 395015
- 2.21.0: improved haswell support, bugfixes

* Sun Jan 20 2013 tmb <tmb> 2.20.19-1.mga3
+ Revision: 390140
- 2.20.19 (bugfixes)

* Wed Jan 16 2013 tmb <tmb> 2.20.18-1.mga3
+ Revision: 388790
- 2.20.18 (bugfix & maintenance release)

* Mon Jan 14 2013 umeabot <umeabot> 2.20.17-2.mga3
+ Revision: 385986
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 tv <tv> 2.20.17-1.mga3
+ Revision: 335396
- new release

* Sat Dec 15 2012 tv <tv> 2.20.16-1.mga3
+ Revision: 331092
- new release

* Mon Dec 03 2012 tv <tv> 2.20.15-1.mga3
+ Revision: 325919
- new release

* Mon Nov 26 2012 tv <tv> 2.20.14-1.mga3
+ Revision: 322099
- new release

* Sun Nov 11 2012 tv <tv> 2.20.13-1.mga3
+ Revision: 317065
- new release

* Sat Oct 20 2012 tv <tv> 2.20.12-1.mga3
+ Revision: 308486
- new release

* Sat Oct 20 2012 tv <tv> 2.20.11-1.mga3
+ Revision: 308420
- new release

* Sun Oct 14 2012 tv <tv> 2.20.10-1.mga3
+ Revision: 305547
- new release

* Sat Sep 29 2012 tmb <tmb> 2.20.9-1.mga3
+ Revision: 300141
- drop P0 (merged)
+ tv <tv>
- new release

* Mon Sep 24 2012 tmb <tmb> 2.20.8-2.mga3
+ Revision: 297018
- Reorder INTEL_XVMC define so that we pick up Option XvMC (P0, upstream)

* Sun Sep 16 2012 tv <tv> 2.20.8-1.mga3
+ Revision: 294378
- new release
- new release

* Sat Sep 08 2012 tv <tv> 2.20.7-1.mga3
+ Revision: 290581
- new release

* Thu Sep 06 2012 tv <tv> 2.20.6-2.mga3.nonfree
+ Revision: 288933
- rebuild for new xserver

* Sun Sep 02 2012 tv <tv> 2.20.6-1.mga3
+ Revision: 287324
- new release

* Sun Aug 26 2012 tv <tv> 2.20.5-1.mga3
+ Revision: 284278
- new release

* Sun Aug 19 2012 tmb <tmb> 2.20.4-1.mga3
+ Revision: 282071
- update to 2.20.4

* Sat Aug 04 2012 tv <tv> 2.20.3-1.mga3
+ Revision: 278433
- new release

* Fri Jul 27 2012 tmb <tmb> 2.20.2-1.mga3
+ Revision: 274939
- update to 2.20.2

* Mon Jul 23 2012 tv <tv> 2.20.1-1.mga3
+ Revision: 273665
- new release

* Sat Jul 21 2012 tmb <tmb> 2.20.0-1.mga3
+ Revision: 272976
- update to 2.20.0

* Thu Jul 19 2012 tmb <tmb> 2.19.0-9.mga3
+ Revision: 272402
- rebuild for new glibc

* Fri Jun 29 2012 tv <tv> 2.19.0-8.mga3
+ Revision: 265124
- enable SNA (default is still UXA, use Option "AccelMethod" to switch)

* Fri Jun 29 2012 colin <colin> 2.19.0-7.mga3
+ Revision: 264947
- Rebuild against new libudev major

* Wed Jun 06 2012 tmb <tmb> 2.19.0-6.mga3
+ Revision: 256409
- rebuild for core/release

* Sun Jun 03 2012 fwang <fwang> 2.19.0-5.mga3
+ Revision: 253735
- rebuild for new xcb-util

* Fri Jun 01 2012 tv <tv> 2.19.0-4.mga3
+ Revision: 252965
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 2.19.0-3.mga3
+ Revision: 249804
- rebuild for new X.org server
- rebuild for new X.org server
- bump release
- fix ussues with new cairo

* Thu May 10 2012 tmb <tmb> 2.19.0-2.mga3
+ Revision: 235096
- push to release

* Wed May 02 2012 tmb <tmb> 2.19.0-1.mga2
+ Revision: 234487
- 2.19.0 (Sandy Bridge and Ivy Bridge stability fixes)

* Tue Mar 06 2012 anssi <anssi> 2.18.0-2.mga2
+ Revision: 219434
- add Suggests on vaapi-driver-intel

* Fri Feb 24 2012 tv <tv> 2.18.0-1.mga2
+ Revision: 213923
- new release

* Tue Dec 06 2011 tmb <tmb> 2.17.0-3.mga2
+ Revision: 177440
- submit to core/release

* Thu Nov 17 2011 tv <tv> 2.17.0-2.mga2
+ Revision: 168332
- rebuild for xserver-1.12

* Thu Nov 17 2011 tv <tv> 2.17.0-1.mga2
+ Revision: 168327
- new release

* Sat Oct 08 2011 tv <tv> 2.16.0-3.mga2
+ Revision: 153302
- really rebuild for xserver-1.11

* Sat Oct 08 2011 colin <colin> 2.16.0-2.mga2
+ Revision: 153028
- Rebuild for new x11-server
- Remove patches already included upstream
+ tv <tv>
- new release
- new prerelease

* Wed Jul 13 2011 ahmad <ahmad> 2.15.0-3.mga2
+ Revision: 123756
- Add two patches from upstream GIT to fix an X server crash in KDE4
  https://bugs.freedesktop.org/show_bug.cgi?id=36319
  should fix (mga#2067)

* Wed Jul 06 2011 fwang <fwang> 2.15.0-2.mga2
+ Revision: 119374
- rebuild for new xcb-util

* Thu Apr 14 2011 tv <tv> 2.15.0-1.mga1
+ Revision: 85152
- new release

* Tue Apr 12 2011 tv <tv> 2.14.903-1.mga1
+ Revision: 83586
- new RC

* Mon Apr 04 2011 colin <colin> 2.14.902-1.mga1
+ Revision: 80291
- New RC

* Fri Mar 04 2011 tv <tv> 2.14.901-1.mga1
+ Revision: 64453
- new release

* Fri Mar 04 2011 tv <tv> 2.14.0-2.mga1
+ Revision: 64398
- rebuild for new xserver-1.10

* Sun Jan 23 2011 blino <blino> 2.14.0-1.mga1
+ Revision: 35224
- imported package x11-driver-video-intel


* Sun Jan 09 2011 Thierry Vignaud <tv@mandriva.org> 2.14.0-1mdv2011.0
+ Revision: 630741
- new release

* Tue Jan 04 2011 Colin Guthrie <cguthrie@mandriva.org> 2.13.903-1mdv2011.0
+ Revision: 628570
- New RC: 2.13.903

* Fri Dec 17 2010 Colin Guthrie <cguthrie@mandriva.org> 2.13.902-0.1mdv2011.0
+ Revision: 622606
- New RC 2.13.902

  + Thierry Vignaud <tv@mandriva.org>
    - remove patch 102 (merged upstream)
    - require x11-server-common in order to cheat poor env on kenobi which is 2010.x

* Sun Nov 07 2010 Thierry Vignaud <tv@mandriva.org> 2.13.0-5mdv2011.0
+ Revision: 594704
- require x11-server-common in order to cheat poor env on kenobi which is 2010.x
- require xorg server with proper ABI

* Sun Oct 10 2010 Colin Guthrie <cguthrie@mandriva.org> 2.13.0-4mdv2011.0
+ Revision: 584863
- Disable None BG patch temprarily due to assert on Xserver 1.9

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 2.13.0-3mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Mon Oct 04 2010 Colin Guthrie <cguthrie@mandriva.org> 2.13.0-2mdv2011.0
+ Revision: 582841
- Update udev patch to latest upstream version

* Thu Sep 30 2010 Colin Guthrie <cguthrie@mandriva.org> 2.13.0-1mdv2011.0
+ Revision: 582202
- New version: 2.13.0

* Wed Sep 29 2010 Colin Guthrie <cguthrie@mandriva.org> 2.12.902-1mdv2011.0
+ Revision: 582084
- New version: 2.12.902 (2.13 RC2)

* Fri Sep 24 2010 Colin Guthrie <cguthrie@mandriva.org> 2.12.901-1mdv2011.0
+ Revision: 580924
- New version (2.13.0rc1)
- Drop upstream applied patch
- Rediff all other patches

* Sun Jul 25 2010 Colin Guthrie <cguthrie@mandriva.org> 2.12.0-1mdv2011.0
+ Revision: 558762
- Fix the NoneBG patch to work with latest code

  + Thierry Vignaud <tv@mandriva.org>
    - new release
    - new release

* Fri May 21 2010 Frederic Crozat <fcrozat@mandriva.com> 2.11.0-5mdv2010.1
+ Revision: 545558
- Force rebuild for main/release

* Tue May 18 2010 Frederic Crozat <fcrozat@mandriva.com> 2.11.0-4mdv2010.1
+ Revision: 545258
- Add two missing patches from upstream to fix evolution text hightlight and some GEM fence errors

* Tue May 18 2010 Frederic Crozat <fcrozat@mandriva.com> 2.11.0-3mdv2010.1
+ Revision: 545218
- Add many patches cherry-pickes from upstream git, to fix alpha transparency on i865 and other glitches in compositing

* Thu Apr 29 2010 Colin Guthrie <cguthrie@mandriva.org> 2.11.0-2mdv2010.1
+ Revision: 540787
- Add mbp_backlight to the backlight interfaces as requested by teuf

* Mon Mar 29 2010 Colin Guthrie <cguthrie@mandriva.org> 2.11.0-1mdv2010.1
+ Revision: 528908
- New version: 2.11.0

* Fri Mar 26 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.10.903-2mdv2010.1
+ Revision: 527846
- Reapply patch 301 (fix-NoneBG-support)

* Wed Mar 24 2010 Colin Guthrie <cguthrie@mandriva.org> 2.10.903-1mdv2010.1
+ Revision: 527249
- New RC 2.10.903 (2.11.0 RC3)

* Wed Mar 17 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.10.902-3mdv2010.1
+ Revision: 524722
- Add patch to enable hotplug events via udev

* Tue Mar 16 2010 Colin Guthrie <cguthrie@mandriva.org> 2.10.902-2mdv2010.1
+ Revision: 520681
- Rebuild due to PEM: Munch, munch, munch... hmm tastey packages
- New version/RC 2.10.902

* Mon Mar 15 2010 Colin Guthrie <cguthrie@mandriva.org> 2.10.901-2mdv2010.1
+ Revision: 519637
- Remove support for the x11-driver-video-intel-fast-i830 subpackage

* Sat Feb 27 2010 Colin Guthrie <cguthrie@mandriva.org> 2.10.901-1mdv2010.1
+ Revision: 512242
- New version: 2.10.901

* Wed Feb 17 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.10.0-3mdv2010.1
+ Revision: 507139
- Obsolete x11-driver-video-i810-downscaling
- Oops...
- Obsolete: use intel or vesa

* Thu Feb 11 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.10.0-2mdv2010.1
+ Revision: 504296
- Obsolete x11-driver-video-i810

* Wed Jan 13 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.10.0-1mdv2010.1
+ Revision: 490989
- Updated to version 2.10.0

* Wed Dec 23 2009 Colin Guthrie <cguthrie@mandriva.org> 2.9.99.902-1mdv2010.1
+ Revision: 481682
- BR xcb-util-devel needed for XvMC support
- Disable the copy_fb patch (it doesn't build - will need more porting work)
- Port copy_fb patch to current code
- Disable fast-i830 for now (code significantly changed - we may drop this)
- New version: 2.9.99.902 (2.10.0 RC2)

* Tue Nov 10 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.9.1-2mdv2010.1
+ Revision: 464292
- Rebuild for new server

* Mon Oct 26 2009 Colin Guthrie <cguthrie@mandriva.org> 2.9.1-1mdv2010.0
+ Revision: 459411
- New version: 2.9.1 (bugfixes only)

* Tue Sep 29 2009 Colin Guthrie <cguthrie@mandriva.org> 2.9.0-1mdv2010.0
+ Revision: 450841
- New version: 2.9.0
- Rediff copy-fb patch
- Rediff fast-i830 patches (NB Patch 502 did not merge cleanly and could use review)

* Mon Sep 28 2009 Frederic Crozat <fcrozat@mandriva.com> 2.8.1-4mdv2010.0
+ Revision: 450560
- Patch600 (Fedora): add support for BgNone for intel driver

* Sat Sep 19 2009 Colin Guthrie <cguthrie@mandriva.org> 2.8.1-3mdv2010.0
+ Revision: 444661
- requires update-alternatives on fast-i830 pacakge too (tv sucks)

* Fri Sep 18 2009 Thierry Vignaud <tv@mandriva.org> 2.8.1-2mdv2010.0
+ Revision: 444427
- requires update-alternative (fixing intel driver not found on a lot of
  machines) (blino sucks)

* Wed Aug 26 2009 Colin Guthrie <cguthrie@mandriva.org> 2.8.1-1mdv2010.0
+ Revision: 421534
- New version: 2.8.1

* Tue Jul 21 2009 Colin Guthrie <cguthrie@mandriva.org> 2.8.0-1mdv2010.0
+ Revision: 398316
- New version: 2.8.0

* Wed Jul 15 2009 Colin Guthrie <cguthrie@mandriva.org> 2.7.99.902-2mdv2010.0
+ Revision: 396441
- Upstream fix for the UMS crasher + XV rotation

* Tue Jul 14 2009 Colin Guthrie <cguthrie@mandriva.org> 2.7.99.902-1mdv2010.0
+ Revision: 395864
- Fix a segv due to overzealous NoAccel removal. Submitted upstream.
- New version: 2.7.99.902

* Thu Jun 25 2009 Colin Guthrie <cguthrie@mandriva.org> 2.7.99.901-4mdv2010.0
+ Revision: 388922
- Update to git master which includes a different fix for the DPMS issue

* Tue Jun 23 2009 Colin Guthrie <cguthrie@mandriva.org> 2.7.99.901-3mdv2010.0
+ Revision: 388742
- Hopefully fix issue relating to locking of machine when in dpms off mode when watchdog kicks in (fdo#22383).

* Wed Jun 17 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 2.7.99.901-2mdv2010.0
+ Revision: 386783
- rebuild to use new DRI2GetBuffersWithFormat interface

* Thu Jun 11 2009 Colin Guthrie <cguthrie@mandriva.org> 2.7.99.901-1mdv2010.0
+ Revision: 385005
- New version 2.7.99.901 (2.8 RC1)
- Rediff partially merged patch

* Wed May 13 2009 Colin Guthrie <cguthrie@mandriva.org> 2.7.1-1mdv2010.0
+ Revision: 375283
- Drop the CloseScreen patch as it's not part of the official 2.7.1
- Drop upstream applied patches
- Update to 2.7.1

* Sat May 09 2009 Colin Guthrie <cguthrie@mandriva.org> 2.7.0-3mdv2010.0
+ Revision: 373849
- Another upstream fix from the 2.7 tree (related to textured video on i965)

* Thu May 07 2009 Colin Guthrie <cguthrie@mandriva.org> 2.7.0-2mdv2010.0
+ Revision: 372917
- Update to latest 2.7 branch + some extra proposed changes

* Thu Apr 16 2009 Colin Guthrie <cguthrie@mandriva.org> 2.7.0-1mdv2009.1
+ Revision: 367602
- New version: 2.7.0
- Drop tiling patch (included upstream)
- Require newer libdrm to build

* Thu Apr 09 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 2.6.99.903-0.20090409.1mdv2009.1
+ Revision: 365456
- Add fix for tiled rendering with gem disabled.

* Fri Apr 03 2009 Colin Guthrie <cguthrie@mandriva.org> 2.6.99.902-666.2.6.3.1mdv2009.1
+ Revision: 363713
- Revert to the 2.6.3 version for rc2

* Fri Mar 27 2009 Frederic Crozat <fcrozat@mandriva.com> 2.6.99.902-2mdv2009.1
+ Revision: 361658
- Revert to 2.6.99.902 tarball

* Thu Mar 26 2009 Colin Guthrie <cguthrie@mandriva.org> 2.6.99.902-1.20090324.3mdv2009.1
+ Revision: 361333
- Disable LVDS config parsing from VBT for now (mdv#49081, fdo#20752)

* Thu Mar 26 2009 Colin Guthrie <cguthrie@mandriva.org> 2.6.99.902-1.20090324.2mdv2009.1
+ Revision: 361284
- Add upstream patch to fix lvds config in vbt parsing.

* Tue Mar 24 2009 Colin Guthrie <cguthrie@mandriva.org> 2.6.99.902-1.20090324.1mdv2009.1
+ Revision: 360833
- Update to the latest 2.7 branch sources

* Sat Mar 21 2009 Colin Guthrie <cguthrie@mandriva.org> 2.6.99.902-1mdv2009.1
+ Revision: 359393
- Update to 2.7 branch release candidate: 2.6.99.902

* Mon Mar 02 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 2.6.3-1mdv2009.1
+ Revision: 347523
- New version 2.6.3

* Sat Feb 28 2009 Colin Guthrie <cguthrie@mandriva.org> 2.6.2-2mdv2009.1
+ Revision: 345948
- Upstream fix for memory overuse on 2D

* Wed Feb 25 2009 Colin Guthrie <cguthrie@mandriva.org> 2.6.2-1mdv2009.1
+ Revision: 344968
- New version: 2.6.2
- Drop upstream applied patches

* Wed Feb 18 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 2.6.1-5mdv2009.1
+ Revision: 342596
- Fix undefined symbol: i830_pad_drawable_width

* Tue Feb 17 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 2.6.1-4mdv2009.1
+ Revision: 342151
- Add patches from master to enable tiled rendering on pre-i965 hardware.

* Tue Jan 27 2009 Colin Guthrie <cguthrie@mandriva.org> 2.6.1-3mdv2009.1
+ Revision: 334084
- Bump release due to an attack from the ravenous package eating monster
- Fixup bogus VBT modes when detected (fdo#17292, mdv#45427)

* Thu Jan 22 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 2.6.1-1mdv2009.1
+ Revision: 332496
- New version: 2.6.1

* Thu Jan 15 2009 Colin Guthrie <cguthrie@mandriva.org> 2.6.0-1mdv2009.1
+ Revision: 329702
- New version: 2.6.0

* Sat Jan 10 2009 Colin Guthrie <cguthrie@mandriva.org> 2.5.99.2-1mdv2009.1
+ Revision: 327812
- Update/rediff the i830 patches (use git to make merging easier)
- New version: 2.5.99.2

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 2.5.99.1-1mdv2009.1
+ Revision: 321364
- New version 2.5.99.1

* Sat Nov 29 2008 Colin Guthrie <cguthrie@mandriva.org> 2.5.1-2mdv2009.1
+ Revision: 308025
- Rebuild against new xserver
- New version: 2.5.1

* Sun Nov 02 2008 Colin Guthrie <cguthrie@mandriva.org> 2.5.0-3mdv2009.1
+ Revision: 299261
- Rebuild for new libdrm

* Fri Oct 31 2008 Olivier Blin <oblin@mandriva.com> 2.5.0-2mdv2009.1
+ Revision: 298918
- rediff restoreHW disabling patch
- rediff boottime patch for 2.5.0
- add patches from Moblin to make X start faster on i830 (in a fast-i830 sub-package, to be enabled using alternatives)
- add alternatives for the intel driver (needed for fast-i830 and downscaling flavours)

* Wed Oct 22 2008 Colin Guthrie <cguthrie@mandriva.org> 2.5.0-1mdv2009.1
+ Revision: 296338
- New version: 2.5.0
- Drop upstream patches
- No longer revert the 'default to EXA' commits as EXA is apparently much better now

* Sat Oct 11 2008 Colin Guthrie <cguthrie@mandriva.org> 2.4.2-7mdv2009.1
+ Revision: 291869
- Add patch to disable render standby
- Cherry pick output detection for DVI patch and include missing hunks

* Fri Oct 03 2008 Pascal Terjan <pterjan@mandriva.org> 2.4.2-6mdv2009.0
+ Revision: 291023
- - Add upstream patch fixing HDMI output status detection

* Tue Sep 30 2008 Colin Guthrie <cguthrie@mandriva.org> 2.4.2-5mdv2009.0
+ Revision: 290277
- Add patch for PLL issue on 855GM (mdv#44398, fdo#17310)
- Add upstream patch from blank screens on xrandr calls on 845G (fdo#17756)

* Wed Sep 17 2008 Colin Guthrie <cguthrie@mandriva.org> 2.4.2-4mdv2009.0
+ Revision: 285366
- Cherry pick support for G41 chipset.

* Tue Sep 02 2008 Colin Guthrie <cguthrie@mandriva.org> 2.4.2-3mdv2009.0
+ Revision: 279122
- Solve the flicking problem when calling XRRGetScreenResources() (upstream)

* Wed Aug 27 2008 Colin Guthrie <cguthrie@mandriva.org> 2.4.2-2mdv2009.0
+ Revision: 276428
- Rebuild due to a hungry rpm-eating pixie that lives in the build-system
- New version: 2.4.2

* Tue Aug 19 2008 Colin Guthrie <cguthrie@mandriva.org> 2.4.1-1mdv2009.0
+ Revision: 274042
- New version
- Remove upstream patches applied upstream
- (Temporarily?) disabled PCPA's Sony VAIO fix while querying why it was not sent upstream

* Fri Aug 01 2008 Colin Guthrie <cguthrie@mandriva.org> 2.4.0-3mdv2009.0
+ Revision: 258839
- Fix the screen flicker in the upstream way.

* Wed Jul 30 2008 Colin Guthrie <cguthrie@mandriva.org> 2.4.0-2mdv2009.0
+ Revision: 254794
- Fix annoying flicker with LVDS on GTK apps by reverting upstream change.
- Rediff other patches

* Wed Jul 23 2008 Colin Guthrie <cguthrie@mandriva.org> 2.4.0-1mdv2009.0
+ Revision: 242418
- New version: 2.4.0

* Wed Jun 18 2008 Colin Guthrie <cguthrie@mandriva.org> 2.3.2-1mdv2009.0
+ Revision: 224987
- New version
- Define _disable_ld_no_undefined to make it build

  + Thierry Vignaud <tv@mandriva.org>
    - improved description
    - add missing dot at end of description
    - improved summary

* Mon May 12 2008 Colin Guthrie <cguthrie@mandriva.org> 2.3.1-1mdv2009.0
+ Revision: 206118
- New version: 2.3.1
- Remove patches that are no longer used.

* Wed Apr 23 2008 Colin Guthrie <cguthrie@mandriva.org> 2.3.0-1mdv2009.0
+ Revision: 196751
- New version: 2.3.0

* Mon Apr 21 2008 Colin Guthrie <cguthrie@mandriva.org> 2.2.99.903-1mdv2009.0
+ Revision: 196343
- Latest 2.3 pre-release

* Wed Mar 26 2008 Colin Guthrie <cguthrie@mandriva.org> 2.2.1-5mdv2008.1
+ Revision: 190347
- Fix #38892 (conflict with older versions of -i810 driver)

* Tue Mar 25 2008 Colin Guthrie <cguthrie@mandriva.org> 2.2.1-4mdv2008.1
+ Revision: 189842
- Cherry pick another fix for 965GM to hopefully fix mdv#39018

* Fri Mar 21 2008 Colin Guthrie <cguthrie@mandriva.org> 2.2.1-3mdv2008.1
+ Revision: 189353
- Use git to properly revert the EXA by default commits (cleaner and more obvious)
- Add numerous quirks from upstream
- Backlight fixes for Fujitsu
- Mac Mini SDVO fixes
- Memory mangement fixes (hopefully address mdv#39018)

* Thu Mar 13 2008 Colin Guthrie <cguthrie@mandriva.org> 2.2.1-2mdv2008.1
+ Revision: 187702
- Revert to using XAA by default as it seems generally more reliable.

* Sat Feb 23 2008 Colin Guthrie <cguthrie@mandriva.org> 2.2.1-1mdv2008.1
+ Revision: 174075
- Official Release: 2.2.1

* Fri Feb 22 2008 Colin Guthrie <cguthrie@mandriva.org> 2.2.0.90-2mdv2008.1
+ Revision: 173799
- Rebase to upstream 2.2 driver branch.
- Remove G33 patch as it was reverted upstream.

* Sat Feb 09 2008 Colin Guthrie <cguthrie@mandriva.org> 2.2.0.90-1mdv2008.1
+ Revision: 164490
- Rebase on release 2.2.0.90

* Thu Feb 07 2008 Paulo Andrade <pcpa@mandriva.com.br> 2.2.0-7mdv2008.1
+ Revision: 163730
- Update to latest xf86-video-intel-2.2-branch.
  Patches are added from upstream tarball xf86-video-intel-2.2.0.tar.bz2

* Mon Jan 28 2008 Paulo Andrade <pcpa@mandriva.com.br> 2.2.0-6mdv2008.1
+ Revision: 159378
- Fix wrong package generation. Actually, tarball is still from tag
  xf86-video-intel-2.2.0, so generate patches from that point. Too bad
  patches did apply cleanly when generating them from
  xf86-video-intel-2.2-branch, but missed some bug fixes.
  Sorry for the inconvenince, I confused myself, but should not generate
  a tarball from xf86-video-intel-2.2-branch as there is no such upstream
  tarball.

* Mon Jan 28 2008 Paulo Andrade <pcpa@mandriva.com.br> 2.2.0-5mdv2008.1
+ Revision: 159337
- Rebase to origin/xf86-video-intel-2.2-branch.
  Remove mandriva+gpl branch and remake mandriva+custom patch to add
  Mandriva only old.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.2.0-4mdv2008.1
+ Revision: 156609
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 2.2.0-3mdv2008.1
+ Revision: 154853
- Updated BuildRequires and resubmit package.
- Make sure symbols accessed using LoaderSymbol/dlsym are of public visibility.
  A different approach should be used so that compiler/dynamic loader could
  know what is going on, but for the moment making the symbols public is enough.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Update to properly generate tarball from existing tag xf86-video-intel-2.2.0.
  Patches since 2.2.0 to point where branch mandriva was created are Patch2
  and Patch3. So this should fix the other issue about updating cooker the
  modules.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 18 2007 Colin Guthrie <cguthrie@mandriva.org> 2.2.0-1mdv2008.1
+ Revision: 109973
- New version

* Mon Nov 12 2007 Colin Guthrie <cguthrie@mandriva.org> 2.1.99-2mdv2008.1
+ Revision: 108137
- Drop (rather than just disable) upstream applied patches
- Add a patch to fix a typo in an upstream applied patch (hopefully fixes #35013)

* Fri Nov 09 2007 Colin Guthrie <cguthrie@mandriva.org> 2.1.99-1mdv2008.1
+ Revision: 107071
- New version (2.2 pre-release)
- (temporarily) disable some of the patches from Peter Clifton

* Wed Oct 24 2007 Colin Guthrie <cguthrie@mandriva.org> 2.1.1-6mdv2008.1
+ Revision: 101662
- Various minor fixes from Peter Clifton (Ubuntu)
- Remove legacy i810 links (in order to remove conflicts with the older driver needed on some older chipsets)

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.1.1-5mdv2008.1
+ Revision: 98696
- minor spec cleanup
- build against new xserver (1.4)

* Tue Sep 25 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.1.1-4mdv2008.0
+ Revision: 92861
- Fixed G33 support after adding G33 changes since kernel
  2.6.22.6-3mdv2008.0 (http://lkml.org/lkml/2007/9/20/71), reported by
  Damien Lallement.

  + Pixel <pixel@mandriva.com>
    - don't blindly choose biosmode over programmed mode (#33900)

* Fri Sep 21 2007 Pixel <pixel@mandriva.com> 2.1.1-2mdv2008.0
+ Revision: 91769
- fix choosing the correct bios mode on a laptop when the EDID is not available

* Tue Aug 14 2007 Colin Guthrie <cguthrie@mandriva.org> 2.1.1-1mdv2008.0
+ Revision: 62962
- New upstream version: 2.1.1

* Fri Aug 03 2007 Paulo Andrade <pcpa@mandriva.com.br> 2.1.0-2mdv2008.0
+ Revision: 58609
- Make sure duplicated code is not being used as it may cause unexpected behaviour

* Tue Jul 03 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.1.0-1mdv2008.0
+ Revision: 47565
- new upstream version: 2.1.0

* Fri Apr 27 2007 Anssi Hannula <anssi@mandriva.org> 2.0.0-2mdv2008.0
+ Revision: 18778
- fix -devel requires

* Fri Apr 20 2007 Colin Guthrie <cguthrie@mandriva.org> 2.0.0-1mdv2008.0
+ Revision: 15619
- New Release 2.0.0
- Obsolete latest x11-driver-video-intel13 package

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - This requires x11-server >= 1.2.99
    - Finish renaming from i810 to intel
    - New upstream release candidate: 1.9.94 (2.0 RC4)
    - Remove fix-version-test patch: not needed anymore
    - The Intel driver was renamed upstream from i810 to intel, as it supports
      not only i8xx chipsets but also i9xx


* Thu Mar 22 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.7.4-22mdv2007.1
+ Revision: 147969
- run autoreconf fixing some version mismatch problems of libtool
- This driver requires libdrm >= 2.2 (#29642)

* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.7.4-1mdv2007.1
+ Revision: 106688
- new release

* Fri Dec 08 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.7.3-1mdv2007.1
+ Revision: 93723
- bump release
  patch 1: fix build

* Wed Aug 23 2006 Antonio Hobmeir Neto <neto@mandriva.com> 1.6.5-2mdv2007.0
+ Revision: 57489
- Rename back to i810
- Returns to the name i810 because the tarball keep this name

* Tue Aug 22 2006 Antonio Hobmeir Neto <neto@mandriva.com> 1.6.5-1mdv2007.0
+ Revision: 57038
- new upstream release: 1.6.5
  Changes since 1.6.0:
    * Add an API for programming i915 fragment programs.
    * Convert i915 rotate code to the new fragment program API.
    * Adds MergedFB support
    * Fix configure.ac to check for xineramaproto
    * Adds i965 support
    * Many other bugfixes
- Package was renamed upstream. Following the name scheme.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix group
    - rebuild with the proper ABI on x86_64

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - added patch: prevents the driver from doing operations when we do not have the VT lock
    - rebuild to fix cooker uploading
    - Updated drivers for X11R7.1
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

